% --------------------------------------------------
%
% allFigNbs=plotLearnedModel(evidence,options,fileNameBase,myLim);
%
% Visualizes the learned regression function based on the evidence 
% the options struct. The results are exported to fileNameBase.fig and .eps
% if fileNameBase is not empty. myLim sets the 
% colorbar limits.
%
% --------------------------------------------------


function allFigNbs=plotLearnedModel(evidence,options,fileNameBase,myLim);

LOGSCALE = 1;

allFigNbs = zeros((options.GP.dim^2-options.GP.dim)/2,1);
counter = 1;
map = flipud(gray);
for dim1=1:options.GP.dim
    for dim2=dim1+1:options.GP.dim
        allFigNbs(counter) = figure;
        quickPlot2D(evidence,options,[dim1 dim2],LOGSCALE)
        set(gca,'clim',myLim); %colorbar
        colormap(map);
        switch dim1
          case 1
            xlabel('log r')
          case 2
            xlabel('\sigma')
          case 3
            xlabel('\phi')
        end
        
        switch dim2
          case 1
            ylabel('log r')
          case 2
            ylabel('\sigma')
          case 3
            ylabel('\phi')
        end
        
        if ~isempty(fileNameBase)
            fileName = [fileNameBase  '_' num2str(dim1) '_' num2str(dim2)];
            myexportfig(fileName)    
        end
        counter = counter+1;
    end
end
    