% --------------------------------------------------
%
% [h f N p center] = plot_MCMC_res(theta,nStart,myval,nBins,figNb,plotStyle,bw,varargin)
%
% varargin : 'all','hist','kde'
% 
% --------------------------------------------------

function [h f N p center] = plot_MCMC_res(theta,nStart,myval,nBins,figNb,plotStyle,bw,varargin)

if nargin == 7
    modus = 'all';
elseif nargin == 8
    modus = varargin{1};
end

c = plotStyle(1);
marker = plotStyle(2);
myTheta = theta(nStart:end);

if strcmp(modus,'all') | strcmp(modus,'kde')
    
    if isempty(bw)
        f=ksdensity(myTheta,myval);
    else
        f=ksdensity(myTheta,myval,'width',bw);
    end

    figure(figNb)
    hold on
    h=plot(myval,f,[c '-']);
end

if strcmp(modus,'all') | strcmp(modus,'hist')
    [N center]=hist(myTheta,nBins);
    p = N/sum(N); p = p/(center(2)-center(1));  
    h=plot(center,p,[c '--' marker ]);
end