
## load library
if (is.na(file.info("~/Reference/Rpackages")$isdir)) {
 library(sl)
} else {
 library(sl,lib.loc= "~/Reference/Rpackages")
}


## get job id
args = commandArgs(trailingOnly = F)
myargument = args[length(args)]
jobId = sub("-","",myargument)
jobId

## load settings
fileName = paste(jobId,'obj_dims.txt', sep="_")
dims=as.matrix(read.table(fileName))

n.t = dims[1];
n.reps = dims[2];
burn.in = dims[3];

## load observed data (column vector)
fileName = paste(jobId,'obj_Yobs.txt', sep="_")
Yobs = matrix(scan(fileName),nrow=n.t,ncol=1,byrow="FALSE")

## load parameter
fileName = paste(jobId,'obj_theta.txt', sep="_")
theta=as.matrix(read.table(fileName))
names(theta) <- c("r","sig.e","phi")

## load random deviates
fileName = paste(jobId,'obj_e.txt', sep="_")
e = matrix(scan(fileName),nrow=burn.in+n.t,ncol=n.reps,byrow="TRUE")
fileName = paste(jobId,'obj_u.txt', sep="_")
u = matrix(scan(fileName),nrow=1,ncol=n.t*n.reps,byrow="TRUE")

## compute synthetic log-likelihood
index = 1:nrow(theta)
val = rep(0,nrow(theta))
halfdet = rep(0,nrow(theta))
for (i in index) {
      myTheta = theta[i,]
      myTheta
      out = ricker.ll(myTheta,Yobs,e,u,burn.in)
      val[i] = out$ell
      halfdet[i] = out$half.ldet.V
      }
  
## export
fileName = paste(jobId,'obj_val.txt', sep="_")
write.table(val, file=fileName, sep = " ", col.names = FALSE, row.names = FALSE, qmethod = "double")

fileName = paste(jobId,'det_val.txt', sep="_")
write.table(halfdet, file=fileName, sep = " ", col.names = FALSE, row.names = FALSE, qmethod = "double")


q(save="no")
