function cluster_SABC_cont(objfun,prior,prevTheta,prevWeights,options,epsi)

fileName = options.fileName;
N = options.sampleSize;
p = options.dim;
priorpdf = prior.pdf;
nPrev = length(prevWeights);

[Sigma dummy] = weighted_cov(prevTheta,prevWeights);
Sigma = 2*Sigma;
    
theta = zeros(p,N);
myDist = zeros(1,N);
weights = zeros(1,N);
nSimulations = zeros(1,N);
    
parfor ind=1:N
        
    fprintf(['\n' num2str(ind/N) '\n'])
        
    myDist_prop=epsi+1;
    theta_prop = [];
    tmpCounter = 0;
    while (myDist_prop>epsi)   
        index = sum(mnrnd(1,prevWeights).*[1:nPrev]);
        theta_prop = mvnrnd(prevTheta(:,index)',Sigma,1)';
            
        if priorpdf(theta_prop)>0
            myDist_prop = objfun(theta_prop);
            tmpCounter = tmpCounter + 1;
        end
    end
    theta(:,ind) = theta_prop;
    myDist(1,ind) = myDist_prop;
    nSimulations(1,ind) = tmpCounter;
        
    weights(ind) = priorpdf(theta_prop)/( prevWeights*mvnpdf(theta_prop',prevTheta',Sigma) );
        
end

t=1;
allWeights{t}= weights;
allTheta{t}= theta;
allDist{t} = myDist;
allEpsi{t} = epsi;
allCost{t} = nSimulations;
save(fileName,'allTheta','allWeights','allDist','allEpsi','allCost','t','options');


