% --------------------------------------------------
%
% Concatenates the results from the different
% computing cores.
%
% --------------------------------------------------

matFolder = '../../matfiles/bacterial_infections_vuori';
generation = 4;

saveFile = [matFolder '/SABC_gen' num2str(generation) '.mat'];
nRuns = 200;
nData = 50;
epsi_quant = 0.1;

nTot = nRuns*nData;

epsi = zeros(1,nTot);
theta = zeros(3,nTot);
weights = zeros(1,nTot);
dist = zeros(1,nTot);
cost = zeros(1,nTot);

for k=0:nRuns-1

    if generation == 0
        fileName = [matFolder '/gen' num2str(generation) '/SABC_res_' num2str(k) '.mat'];
    else
        fileName = [matFolder '/gen' num2str(generation) '/SABC_gen' ...
                    num2str(generation) '_res' num2str(k) '.mat'];
    end
    res = load(fileName);
    
    index = k*nData+[1:nData];   
    epsi(1,index) = res.allEpsi{1};
    theta(:,index) = res.allTheta{1};
    weights(1,index) = res.allWeights{1};
    dist(1,index) = res.allDist{1};
    cost(1,index) = res.allCost{1};
end

weights = weights/sum(weights);
threshold = quantile(dist,epsi_quant);

save(saveFile,'epsi','theta','weights','dist','cost','threshold')
