% --------------------------------------------------
%
% Evaluates the computing time for PMC-ABC and BOLFI
%
% --------------------------------------------------


%% PMC-ABC, data from cluster

% Gen0 run time 00:46:36
% Gen1 run time 10:51:15
% Gen2 run time 14:31:03
% Gen3 run time 1-04:06:56
% Gen4 run time 2-02:54:26

% Total run time:
secs_ref = 36+15+3+56+26;

mins_ref = floor(secs_ref/60) + 46 + 51 +31 +6 + 54;
hours_ref = 10+14+4+2;
days_ref = 1 + 2;

totalMins_ref = mins_ref + 60*(hours_ref+days_ref*24)

% --> 105 hours on cluster with 200 cores

%% BOLFI Initial submission
if(0)
s0='Nov 27, 2014 15:13:45'; %Round0
s1='Nov 27, 2014 15:17:28'; %Round1
s2='Nov 27, 2014 15:24:07'; %Round2
s3='Nov 27, 2014 15:29:28'; %Round3
s4='Nov 27, 2014 15:34:40'; %Round4
s5='Nov 27, 2014 15:44:50'; %Round5
s6='Nov 27, 2014 15:54:17'; %Round6
s7='Nov 27, 2014 16:03:26'; %Round7
s8='Nov 27, 2014 16:12:41'; %Round8
s9='Nov 27, 2014 16:21:49'; %Round9
s10='Nov 27, 2014 16:31:39'; %Round10
s11='Nov 27, 2014 16:41:26'; %Round11
s12='Nov 27, 2014 16:50:09'; %Round12

myTimes = zeros(13,6);
for k=1:13
    myTimes(k,:) = datevec(eval(['s' num2str(k-1)]),'mmmm dd, yyyy HH:MM:SS');
end

mySecs = zeros(12,1);
for k=1:12
    mySecs(k) = etime(myTimes(k+1,:),myTimes(k,:));
end

totalSecs = etime(myTimes(end,:),myTimes(1,:)),
totalMinsBO = totalSecs/60;
% --> 96 mins
end

%% BOLFI with timing
dirName = '../../matfiles/bacterial_infections/paper_results/';

% how long it took to evaluate the discrepancy
objTiming = load([dirName 'objTiming.txt']);

% how long it took to incorporate the new data into the model (includes learning of hyperparams) 
evTiming = load([dirName 'evTiming.txt']);

% how long it took to decide where to acquire next, given the model
acqTiming = load([dirName 'acqTiming.txt']);

% total
totTiming = (sum(objTiming)+sum(acqTiming)+sum(evTiming));

objFrac = sum(objTiming)/totTiming
acqFrac = sum(acqTiming)/totTiming
evFrac = sum(evTiming)/totTiming 

%% check: comparison of computing time for simulating the model

nRefCores = 200;
nRefSims = 2199760;
totalMins_ref * nRefCores / nRefSims 

nCores = 7;
nSims = 1000;
sum(objTiming)/60 * nCores / nSims
