% --------------------------------------------------
% 
% theta: K x 3 matrix where each row contains a
% parameter vector
%
% --------------------------------------------------


function out = objective(thetaIn,thetaFixed,variDim,N,sumStatsObs,fixedParams)

identityFun = @(u)(u);
K = size(thetaIn,1);
Delta = zeros(K,N);

theta = repmat(thetaFixed,K,1);
theta(:,variDim) = thetaIn;

allSumStats = cell(K,1);
for k=1:K
    sumStats = cell(N,1);
    mytheta = theta(k,:);
    for kN=1:N
        [data data_epi index_out remIndex_out] = sampleData(mytheta,[],fixedParams,[],[],[],[],identityFun);
        sumStats{kN} = expertSummaryStatistics(data_epi,fixedParams);
        Delta(k,kN) = myExpertDistance(sumStats{kN},sumStatsObs);
    end
    allSumStats{k} = sumStats;
end
out{1} = mean(Delta,2);
out{2} = allSumStats;
