% --------------------------------------------------
%
%  myBox = findBox(evidence,options,xBest)
% 
%
% --------------------------------------------------

function myBox = findBox(evidence,options,xBest)

myBox = options.ACQ.optim.bounds;
[fBest gradBest] =  acqCost_colVector(evidence,options,xBest');

for k=1:options.GP.dim

    xTest = xBest';
    h = 1e-6;
    hh = 2*h;
    xTest(k) = xTest(k)+h;
    if xTest(k)<options.ACQ.optim.bounds(k,2)
        [dummy gradTest1] =  acqCost_colVector(evidence,options,xTest);
    else
        gradTest1 = gradBest;
        hh = h;
    end
    
    xTest = xBest';
    xTest(k) = xTest(k)-h;
    if xTest(k)>options.ACQ.optim.bounds(k,1)
        [dummy gradTest2] =  acqCost_colVector(evidence,options,xTest);
    else
        gradTest2 = gradBest;
        hh = h;
    end
    curv = (gradTest1(k)-gradTest2(k))/hh;
    curv = max(curv,h);
    r = gradBest(k)/curv;
    delta = max(1,abs(fBest))*options.ACQ.acqSlack;
       
    propL = xBest(k)-r-sqrt(r^2+2*delta/curv);
    propU = xBest(k)-r+sqrt(r^2+2*delta/curv);
    
    myBox(k,1) = max(propL,options.ACQ.optim.bounds(k,1));
    myBox(k,2) = min(propU,options.ACQ.optim.bounds(k,2));
   
    if myBox(k,1)>myBox(k,2)
        myBox(k,:)=options.ACQ.optim.bounds(k,:);
    end
    
end
