% --------------------------------------------------
%
% Extracts the minimizer of the regression function
% (last non-NaN entry in evidence.thetaHat, or else
% the best sampled theta)
%
% --------------------------------------------------

function thetaJ = getThetaJ(evidence)


thetaJ = evidence.thetaHat(end,:);
dim = size(evidence.thetaHat,1);
while sum(isnan(thetaJ))>0
    dim = dim-1;
    if dim == 0
        thetaJ = evidence.best_x;
    else
        thetaJ = evidence.thetaHat(dim,:);
    end
end


