% x: each row x(k,:) contains a parameter vector
% h: threshold


function [lik lik_grad] = likApproxUniformKernelGP(evidence,options,x,h)
N = options.OBJ.N;
if nargout == 2
    [postMean postVar_latent postVar postMean_grad postVar_grad]= post_mean_var(evidence,options.GP,x);    
    
    postSigma = sqrt(postVar*N);
    postSigma_grad = sqrt(N)./(2*sqrt(postVar)).*postVar_grad;
    
    lik = normcdf(h,postMean,postSigma);
    
    inSq = ((h-postMean)./postSigma).^2;
    Phidash = (1./sqrt(2*pi)).*exp(-inSq/2);
    tmp1 = -bsxfun(@times,postMean_grad,1./postSigma);
    tmp2 = -bsxfun(@times,(h-postMean)./(postSigma.^2),postSigma_grad);
    lik_grad = Phidash.*(tmp1+tmp2);
    
elseif nargout == 1
    [postMean postVar_latent postVar] = post_mean_var(evidence,options.GP,x);
    postSigma = sqrt(postVar*N);
    
    lik = normcdf(h,postMean,postSigma);
    
end

