

function [evidence options varargout] = pointEstimate(obj,evidence,options,myRound)

    if myRound == 0
        initGuess = evidence.best_x;
    else
        % build model
        maxAcqIter = options.ACQ.maxAcqPerRound(myRound);
        nPointsPerAcq = options.ACQ.nPointsPerAcq(myRound);
        [evidence options acqMinimizer boxes] = buildModel(evidence,options,obj,maxAcqIter,nPointsPerAcq);
        
        initGuess = evidence.thetaHat(myRound,:);
        
        if nargout == 4
            varargout{1}=acqMinimizer;
            varargout{2}=boxes;
        end
    end
    
    % minimize
    thetaHat = minimize_regression_function(evidence,options,initGuess);
    evidence.thetaHat(myRound+1,:) = thetaHat;
    