% --------------------------------------------------
%
% X = (x_1 ... x_N) d times N
% w = (w_1 ... w_N) 1 times N
%
% --------------------------------------------------

function [C mu]=weighted_cov(X,w)

    [mu wX] = weighted_mean(X,w);
     
    Xc = bsxfun(@plus,X,-mu);
    wXc = bsxfun(@times,w,Xc);

    Eff = 1/sum(w.^2);

    C = wXc*Xc' *1/(1-1/Eff);