% --------------------------------------------------
%
%  [postMean postMean_grad]=post_mean(evidence,options,x)
%  postMean = post_mean(evidence,options,x)
%
% Computes posterior mean and, possibly, its gradient 
% at each row vector x(k,:), k = 1... m
% 
% postMean      : m x 1
% postMean_grad : m x size(x,2) 
%
% --------------------------------------------------


function [postMean postMean_grad]=post_mean(evidence,optionsGP,x)
        
    if nargout == 1
        postMean = compute_post_mean_var(evidence,optionsGP,x,'mean');
    elseif nargout == 2
        [postMean postMean_grad] = compute_post_mean_var(evidence,optionsGP,x,'mean-grad');
    end