% --------------------------------------------------
%
%  [postMean postVar_latent postVar postMean_grad postVar_grad]=post_mean_var(evidence,optionsGP,x)
%  [postMean postVar_latent postVar] =post_mean_var(evidence,optionsGP,x)
%
% Computes posterior mean and variance, and, possibly, their gradients 
% at each row vector x(k,:), k = 1... m
% 
% If no gradients are returned:
% postMean      : m x 1
% postVar_latent: m x m (variance matrix)
% postVar       : m x m (variance matrix)
%
% If gradients are returned:
% postMean      : m x 1
% postVar_latent: m x 1 (marginal variance)
% postVar       : m x 1 (marginal variance)
% postMean_grad : m x size(x,2) 
% postVar_grad  : m x size(x,2) 
% 
% --------------------------------------------------


function [postMean postVar_latent postVar postMean_grad postVar_grad]=post_mean_var(evidence,optionsGP,x)
        
    if nargout == 3
        [postMean postVar_latent postVar] = compute_post_mean_var(evidence,optionsGP,x,'mean-var');
    elseif nargout == 5
        [postMean postVar_latent postVar postMean_grad postVar_grad] = compute_post_mean_var(evidence,optionsGP,x,'mean-var-grad');
    end