% --------------------------------------------------
%
%  [val grad] = prior_mean(meanhyp,meanfunc,u)
%  val = prior_mean(meanhyp,meanfunc,u)
%
% Computes prior mean and, possibly, its gradient 
% at each row vector u(k,:), k = 1... m
% 
% val  : m x 1
% grad : m x size(u,2) 
%
% --------------------------------------------------


function [val grad] = prior_mean(meanhyp,meanfunc,u)

if nargout == 1
    val = feval(meanfunc{:},meanhyp,u);
elseif nargout == 2
    [val grad] = feval(meanfunc{:},meanhyp,u);
end


