% --------------------------------------------------
%
% evidence = update_evidence(evidence,xacq,facq,optionsGP,k_x,k_xx,learn_hyper)
%
% Includes (xacq,facq) into the evidence structure
%
% --------------------------------------------------

function evidence = update_evidence(evidence,xacq,facq,optionsGP,k_x,k_xx,learn_hyper)

    fprintf(['Add tuple ' num2str(evidence.nX+1) ' to evidence ... '])
    ticStart = tic;
    
    evidence.nX = evidence.nX + 1;
    evidence.X(evidence.nX,:) = xacq;
    
    if iscell(facq)
        evidence.f(evidence.nX) = facq{1};
        evidence.container{evidence.nX} = facq{2};
    else
        evidence.f(evidence.nX) = facq;
    end
    
    if evidence.f(evidence.nX) < evidence.best_val   % goal is minimization
        evidence.best_x = xacq;
        evidence.best_val = evidence.f(evidence.nX);
    end
    
    if learn_hyper
        fprintf('\n')
        evidence = learn_hyper_param(evidence,optionsGP,'middle');
    else
        evidence = update_L_alpha_priormean(evidence,optionsGP,k_x,k_xx);
    end

    time = toc(ticStart);
    fprintf([' (' num2str(time) ' s) \n'])


