% --------------------------------------------------
%
%
%
% --------------------------------------------------


function x_min = bndminimize(x_min,f,bounds,options)

lowerBounds = bounds(:,1);
upperBounds = bounds(:,2);

problem.f = f;

cur_min = f(x_min);

if isfield(options,'DIRECT') && options.useDIRECT    
    
    opts = options.DIRECT;
    opts.showits = 0;

    [fmin_direct, x_min_direct, ~] = direct(problem,bounds,opts);   
  
    if fmin_direct < cur_min
        x_min = x_min_direct;
        cur_min = fmin_direct;
    end
    
end

if isfield(options,'CMAES') && options.useCMAES
    warning off
    
    opts = options.CMAES;
    opts.SaveVariables = 0; 
    opts.LogModulo = 0;
    opts.DispFinal = 0; 
    opts.DispModulo = 0;

    opts.LBounds = lowerBounds;
    opts.UBounds = upperBounds;
    starting = unifrnd(lowerBounds, upperBounds);
    [x_min_CMAES, fmin_CMAES, ~, ~, ~, ~ ] =...
        cmaes(f, starting, (upperBounds-lowerBounds)*0.5,opts);
  
    if fmin_CMAES < cur_min
        x_min = x_min_CMAES;
        cur_min = fmin_CMAES;
    end

    warning on
end

if isfield(options,'FMINS') && options.useFminsearch
    
    % Use fminsearch to optimize further
    opts = options.FMINS;
    opts.OutputFcn = [];
    opts.Display = 'off';
    [x_min_search, fmin_search, ~, ~] = fminsearchbnd(f, x_min, lowerBounds, upperBounds,opts);
    
    if fmin_search < cur_min
        x_min = x_min_search;
        cur_min = fmin_search;
    end
    
end

if  isfield(options,'TMP') && options.useGradient

    opts = options.TMP;
    opts.verbose = 0;

    % first unconstrained
    % fprintf('\n Attempt unconstrained minimization ... \n ')
    %tmp = minimize(x_min,f,opts.maxIter);
    %if sum(tmp>upperBounds) | sum(tmp<lowerBounds)
    %    % out of bounds
    %    fprintf(' did not work, switch to constrained minimization \n ')
    %    [x_min_grad, fmin_grad] = minConf_TMP(f,x_min,lowerBounds,upperBounds,opts);
    %else
    %    fprintf(' worked \n ')
    %    x_min_grad = tmp;
    %    fmin_grad = f(x_min_grad);
    %end
   
    [x_min_grad, fmin_grad] = minConf_TMP(f,x_min,lowerBounds,upperBounds,opts);
    if fmin_grad < cur_min
        x_min = x_min_grad;
        cur_min = fmin_grad;
    end
    
end
