% --------------------------------------------------
%
%  [val grad] = logprior(u)
%
% u    : test point (scalar)
% val  : value of log prior 
% grad : gradient with respect to u
%
% --------------------------------------------------

function [val grad] = logprior(u)

mu0 = -10;
n = 10;
priorVar = 0.1;

val = -0.5*(u-mu0).^2/priorVar;
grad = -(u-mu0)/priorVar;


% adjust for scaling of objective
val = val/n*2;
grad = grad/n*2;
