

## load library
if (is.na(file.info("~/Reference/Rpackages")$isdir)){
 library(sl)
} else {
 library(sl,lib.loc= "~/Reference/Rpackages")}


## get job id
args = commandArgs(trailingOnly = F)
myargument = args[length(args)]
jobId = sub("-","",myargument)
jobId

## for strict repeatablity -- remove for reps
#set.seed(3) 

## load settings
fileName = paste(jobId,'rick_dims.txt', sep="_")
dims=as.matrix(read.table(fileName))

n.t = dims[1];
n.reps = dims[2];
burn.in = dims[3];

## load random deviates
#  random deviates to re-use for fitting:
#n.t <- 50 ## length of data run
#n.reps <- 20 ## slow mixing if this lowered 
#e = matrix(rnorm((burn.in+n.t)*n.reps),burn.in+n.t,n.reps)
#u = runif(n.t*n.reps) 

fileName = paste(jobId,'e.txt', sep="_")
#e=as.matrix(read.table(fileName))
e = matrix(scan(fileName),nrow=burn.in+n.t,ncol=n.reps,byrow="TRUE")

fileName = paste(jobId,'u.txt', sep="_")
#u=as.matrix(read.table(fileName))
u = matrix(scan(fileName),nrow=1,ncol=n.t*n.reps,byrow="TRUE")

## load parameter
fileName = paste(jobId,'theta.txt', sep="_")
theta=as.matrix(read.table(fileName))

#theta = c(3.8,0.3,10)
names(theta) <- c("r","sig.e","phi")

## simulate data
Y <- ricker(theta,e,u,burn.in)

## test
#pdf('Y.pdf')
#plot(Y)
#dev.off;

## export
#write(ll, file='data_ell.txt')
#write(t(thetap), file='out_thetap.txt',ncolumn=dim(thetap)[2])

# to check that we loaded theta correctly
#fileName = paste(jobId,'out_theta.txt', sep="_")
#write.table(theta, file=fileName, sep = " ", col.names = FALSE, row.names = FALSE, qmethod = "double")

fileName = paste(jobId,'Y.txt', sep="_")
write.table(Y, file=fileName, sep = " ", col.names = FALSE, row.names = FALSE, qmethod = "double")

q(save="no")
