
function y = initState(parameters, DCC_size, N_strains)

% This initializes the simulations by sampling a random parameter 
% from the parameter set "parameters" for the simulation purposes.

y.TArr = zeros(N_strains, DCC_size);
y.time = 0;                         % timestamp of the given 'state', range from 0~Inf
y.recoverRate = 1;                  % rate of clearance of an infection in an individual per time unit
y.intraRate = parameters(1,1);         % rate of  (possibly) infectious contacts an individual makes with the members of the same DCC
y.alienRate = parameters(1,2);         % rate of   infectious contacts an individual makes with individuals in the community outside the DCC
y.theta = parameters(1,3);             % the competition parameter


end
