% --------------------------------------------------
%
% quants_plot(x,y,color,fillColor)
% x: 1 x n row vector
% y: 3 x n matrix
% color: for example [0 0 0] (black)
% fillColor: for example  0.8*[1 1 1] (grey)
%
% --------------------------------------------------

function ha=quants_plot(figNb,x,y,color,fillColor,varargin)
    
if nargin == 6
    middle = varargin{1};
else
    middle = y(2,:);
end

figure(figNb)
ha(1)=fill([x';x(end:-1:1)'],[y(1,:)';y(3,end:-1:1)'],fillColor);

set(ha(1),'edgecolor',fillColor)
hold on
ha(2)=plot(x,middle,'color',color);
dx1 = x(2)-x(1);
set(gca,'xlim',[x(1)-dx1 x(end)+eps])
