
function [evidence options varargout] = buildModel(evidence,options,obj,maxAcqIter,nPointsPerAcq)

    if nargout == 4
        acqMinimizer_cont = zeros(maxAcqIter,options.GP.dim);
        theBox_cont = zeros(options.GP.dim,2,maxAcqIter);
    end
    
    for k=1:maxAcqIter
        
        %% Acquire new data
        [facq_all xacq_all acqMinimizer theBox] = acquire(evidence,options,obj,nPointsPerAcq);

        
        if iscell(facq_all)
            addiInfo = facq_all{2};
            facq_all = facq_all{1};
        else
            addiInfo = [];
        end
      
        if nargout == 4
            acqMinimizer_cont(k,:)=acqMinimizer;
            theBox_cont(:,:,k) = theBox;
            clear acqMinimizer;
            clear theBox;
        end
        
        if 0
            quickPlot(evidence,options,1,[],1);
            plot(xacq_all,facq_all,'ro')
            pause
            close
        end
        
        for kk=1:nPointsPerAcq
            
            if isempty(addiInfo)
                facq = facq_all(kk);
            else
                facq = {facq_all(kk),addiInfo(kk)};
            end
            xacq = xacq_all(kk,:);
            
            %% Decide whether exploitation has happened
            [postMean postVar_latent postVar k_x k_xx] = compute_post_mean_var(evidence,options.GP,xacq,'mean-var-k');
            
            if postVar_latent <= options.ACQ.exploit.limitVar
                evidence.exploitCount = evidence.exploitCount + 1;
            else
                evidence.exploitCount = 0;
            end
            
            if evidence.exploitCount >= options.ACQ.exploit.maxCount
                options = handle_exploitation(options);
                evidence.exploitCount = 0;
                EXPLOITED = 1;
            else
                EXPLOITED = 0;
            end
            
            if EXPLOITED
                learn_hyper = 1;
            elseif evidence.nX>options.GP.optim.maxUpdate
                learn_hyper = 0;
            elseif (evidence.nX >= options.ACQ.nInitPoints+options.GP.optim.middle.wait-1 && ...
                    mod(evidence.nX-options.ACQ.nInitPoints-options.GP.optim.middle.wait+1, options.GP.optim.middle.interval) == 0)
                learn_hyper = 1;
            else
                learn_hyper = 0;
            end
            
            %% Add acquired data to evidence 
            evidence = update_evidence(evidence,xacq,facq,options.GP,k_x,k_xx,learn_hyper);
            
        end
    end
    
    %% Update hyper parameters
    if evidence.nX<=options.GP.optim.maxUpdate
        evidence = learn_hyper_param(evidence,options.GP,'end');
    end
    
    if nargout==4
        varargout{1} = acqMinimizer_cont;
        varargout{2} =  theBox_cont;
    end
    